import type { LabelCallback, Section as SectionType, SettingsTools } from "../../../types/coremods/settings";
import type React from "react";
export declare const Section: ({ name, _id, label, color, elem, pos, fromEnd, }: {
    name: string;
    _id?: string;
    label?: string | LabelCallback;
    color?: string;
    elem: (args: unknown) => React.ReactElement;
    pos?: number;
    fromEnd?: boolean;
}) => SectionType;
export declare const Divider: (pos?: number) => SectionType;
export declare const Header: (label: string | LabelCallback, pos?: number) => SectionType;
export declare const settingsTools: SettingsTools;
export declare function insertSections(sections: SectionType[]): SectionType[];
